Home

# Class goog.ui.CustomColorPalette

A custom color palette is a grid of color swatches and a button that allows the user to add additional colors to the palette

extends goog.ui.ColorPalette

Instance Method Summary
| `createColorNodes_() ⇒ ?Array` Returns an array of DOM nodes for each color, and an additional cell with a '+'.
| `performActionInternal(?goog.events.Event e) ⇒ boolean` Selects the currently highlighted palette item (triggered by mouseup or by keyboard action). Overrides {@link goog.ui.Control#performActionInternal} by selecting the highlighted item and dispatching an ACTION event.
| `promptForCustomColor()` Prompts the user to enter a custom color. Currently uses a window.prompt but could be updated to use a dialog box with a WheelColorPalette.